org.apache.storm.generated

## Class ComponentCommon

- java.lang.Object
- - org.apache.storm.generated.ComponentCommon

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<ComponentCommon>, org.apache.storm.thrift.TBase<ComponentCommon,ComponentCommon._Fields>, org.apache.storm.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.13.0)")
      public class ComponentCommon
      extends Object
      implements org.apache.storm.thrift.TBase<ComponentCommon,ComponentCommon._Fields>, Serializable, Cloneable, Comparable<ComponentCommon>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ComponentCommon._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<ComponentCommon._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentCommon()`
    `ComponentCommon(ComponentCommon other)` Performs a deep copy on other.
    `ComponentCommon(Map<GlobalStreamId,Grouping> inputs, Map<String,StreamInfo> streams)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(ComponentCommon other)`
    `ComponentCommon` | `deepCopy()`
    `boolean` | `equals(ComponentCommon that)`
    `boolean` | `equals(Object that)`
    `ComponentCommon._Fields` | `fieldForId(int fieldId)`
    `int` | `get_inputs_size()`
    `Map<GlobalStreamId,Grouping>` | `get_inputs()`
    `String` | `get_json_conf()`
    `int` | `get_parallelism_hint()`
    `int` | `get_streams_size()`
    `Map<String,StreamInfo>` | `get_streams()`
    `Object` | `getFieldValue(ComponentCommon._Fields field)`
    `int` | `hashCode()`
    `boolean` | `is_set_inputs()` Returns true if field inputs is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_json_conf()` Returns true if field json_conf is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_parallelism_hint()` Returns true if field parallelism_hint is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_streams()` Returns true if field streams is set (has been assigned a value) and false otherwise
    `boolean` | `isSet(ComponentCommon._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `put_to_inputs(GlobalStreamId key, Grouping val)`
    `void` | `put_to_streams(String key, StreamInfo val)`
    `void` | `read(org.apache.storm.thrift.protocol.TProtocol iprot)`
    `void` | `set_inputs_isSet(boolean value)`
    `void` | `set_inputs(Map<GlobalStreamId,Grouping> inputs)`
    `void` | `set_json_conf_isSet(boolean value)`
    `void` | `set_json_conf(String json_conf)`
    `void` | `set_parallelism_hint_isSet(boolean value)`
    `void` | `set_parallelism_hint(int parallelism_hint)`
    `void` | `set_streams_isSet(boolean value)`
    `void` | `set_streams(Map<String,StreamInfo> streams)`
    `void` | `setFieldValue(ComponentCommon._Fields field, Object value)`
    `String` | `toString()`
    `void` | `unset_inputs()`
    `void` | `unset_json_conf()`
    `void` | `unset_parallelism_hint()`
    `void` | `unset_streams()`
    `void` | `validate()`
    `void` | `write(org.apache.storm.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<ComponentCommon._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### ComponentCommon

          public ComponentCommon()

    - #### ComponentCommon

          public ComponentCommon(Map<GlobalStreamId,Grouping> inputs,
                                 Map<String,StreamInfo> streams)

    - #### ComponentCommon

          public ComponentCommon(ComponentCommon other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public ComponentCommon deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<ComponentCommon,ComponentCommon._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<ComponentCommon,ComponentCommon._Fields>`

    - #### get_inputs_size

          public int get_inputs_size()

    - #### put_to_inputs

          public void put_to_inputs(GlobalStreamId key,
                                    Grouping val)

    - #### get_inputs

          public Map<GlobalStreamId,Grouping> get_inputs()

    - #### set_inputs

          public void set_inputs(Map<GlobalStreamId,Grouping> inputs)

    - #### unset_inputs

          public void unset_inputs()

    - #### is_set_inputs

          public boolean is_set_inputs()

      Returns true if field inputs is set (has been assigned a value) and false otherwise

    - #### set_inputs_isSet

          public void set_inputs_isSet(boolean value)

    - #### get_streams_size

          public int get_streams_size()

    - #### put_to_streams

          public void put_to_streams(String key,
                                     StreamInfo val)

    - #### get_streams

          public Map<String,StreamInfo> get_streams()

    - #### set_streams

          public void set_streams(Map<String,StreamInfo> streams)

    - #### unset_streams

          public void unset_streams()

    - #### is_set_streams

          public boolean is_set_streams()

      Returns true if field streams is set (has been assigned a value) and false otherwise

    - #### set_streams_isSet

          public void set_streams_isSet(boolean value)

    - #### get_parallelism_hint

          public int get_parallelism_hint()

    - #### set_parallelism_hint

          public void set_parallelism_hint(int parallelism_hint)

    - #### unset_parallelism_hint

          public void unset_parallelism_hint()

    - #### is_set_parallelism_hint

          public boolean is_set_parallelism_hint()

      Returns true if field parallelism_hint is set (has been assigned a value) and false otherwise

    - #### set_parallelism_hint_isSet

          public void set_parallelism_hint_isSet(boolean value)

    - #### get_json_conf

          public String get_json_conf()

    - #### set_json_conf

          public void set_json_conf(String json_conf)

    - #### unset_json_conf

          public void unset_json_conf()

    - #### is_set_json_conf

          public boolean is_set_json_conf()

      Returns true if field json_conf is set (has been assigned a value) and false otherwise

    - #### set_json_conf_isSet

          public void set_json_conf_isSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(ComponentCommon._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<ComponentCommon,ComponentCommon._Fields>`

    - #### getFieldValue

          public Object getFieldValue(ComponentCommon._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<ComponentCommon,ComponentCommon._Fields>`

    - #### isSet

          public boolean isSet(ComponentCommon._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<ComponentCommon,ComponentCommon._Fields>`

    - #### equals

          public boolean equals(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals(ComponentCommon that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo(ComponentCommon other)

      Specified by:
        `compareTo` in interface `Comparable<ComponentCommon>`

    - #### fieldForId

          public ComponentCommon._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<ComponentCommon,ComponentCommon._Fields>`

    - #### read

          public void read(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.